Subject: RE: bidirectionality

From: "Faye Ly" <[email-masked]>
Date: Tue, 1 Mar 2005 13:57:14 -0800

Sharon,

Yes, there is interest for this.

-faye

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Sharon Chisholm
Sent: Tuesday, March 01, 2005 9:24 AM
To: [email-masked]
Subject: RE: bidirectionality

hi

This is similar to the asynchronous messaging issue which many people
have
been discussing in the hallways. I've been looking into this offline.
There
is nothing in the specifications that I can tell that precludes this, it
would just be a matter of defining it. 

The model that seems the most straightforward is for the manager to
initiate
the session, but to send a command that triggers these refresh messages
to
come from the network element. If there is interest in how to do this,
we
could create a draft or do a presentation. I believe it is important to
get
Netconf 1.0 out the door first and then build on top of this though.

Sharon

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Cristian Cadar
Sent: Tuesday, March 01, 2005 11:09 AM
To: Margaret Wasserman; [email-masked]
Subject: RE: bidirectionality

Hi Margaret,

Thanks for the reply, I'm asking this because in my scenario what I have
to
implement, the server 
has to notify the client in order to "refresh" some specific information
through a netconf session. Does it make sense to extend the netconf
protocol
to allow this? I mean implementing the BEEP protocol 
just for having bidirectionality it seems for me a little bit burdensome
and
inconvenient.

Thanks 
Cristian

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Margaret Wasserman
Sent: Tuesday, March 01, 2005 4:32 PM
To: Cristian Cadar; [email-masked]
Subject: Re: bidirectionality

As specified, NETCONF over SSH does not provide bidirectionality. 
The SSH client is always the NETCONF manager.

Margaret

At 2:56 PM +0100 3/1/05, Cristian Cadar wrote:
>
>Hi
>
>I would have a question. Is there any possibility for the server to
>initiate a netconf session with the client over SSH or this is 
>manageable only when the BEEP protocol is implemented?
>
>Thanks in advance
>Cristian
>
>
>
>--
>to unsubscribe send a message to [email-masked] with the
>word 'unsubscribe' in a single line as the message text body.
>archive: <http://ops.ietf.org/lists/netconf/>

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>